#!/bin/bash

token=$1
user=$2

# 傳送訊息
function sendMessage {
    curl "https://api.telegram.org/bot$token/sendMessage?chat_id=$user&text=$1$2"
}

# 傳送照片
function sendPhoto {
    curl "https://api.telegram.org/bot$token/sendPhoto" \
        --header 'content-type: application/json' \
        --data '{"chat_id": "'"$user"'", "photo": "'"$1"'", "caption": "'"$2"'"'"$3"'}'
}

# 傳送貼圖
function sendSticker {
    curl "https://api.telegram.org/bot$token/sendSticker?chat_id=$user&sticker=$1$2"
}

function getRandomPhoto {
    declare -a PHOTO_URLS=(
        "https://imgur.com/p3Y0XU8.png"
        "https://imgur.com/dprdJWv.png"
        "https://imgur.com/MPdSnBe.png"
    )
    echo ${PHOTO_URLS[RANDOM % ${#PHOTO_URLS[@]}]}
}

while true; do
    # 早上 10 點
    if [ "$(date "+%H:%M")" == "10:00" ]; then
        sendSticker "CAADAQADWAQAAvoPCRQhPbMdi-bNqQI"
        sendPhoto $(getRandomPhoto) "吃了嗎～" ', "reply_markup": {"inline_keyboard": [[{"text": "😊吃了", "callback_data": "1"}, {"text": "😢等等", "callback_data": "2"}]]}'
    fi
    # 晚上 7 點半
    if [ "$(date "+%H:%M")" == "19:30" ]; then
        sendSticker "CAADAQADWAQAAvoPCRQhPbMdi-bNqQI"
        sendPhoto $(getRandomPhoto) "吃了嗎～" ', "reply_markup": {"inline_keyboard": [[{"text": "😊吃了", "callback_data": "1"}, {"text": "😢等等", "callback_data": "2"}]]}'
    fi
    # 晚上 11 點半
    if [ "$(date "+%H:%M")" == "23:30" ]; then
        sendSticker "CAADAQADWAQAAvoPCRQhPbMdi-bNqQI"
        sendPhoto $(getRandomPhoto) "吃了嗎" ', "reply_markup": {"inline_keyboard": [[{"text": "😊吃了", "callback_data": "1"}, {"text": "😢等等", "callback_data": "2"}]]}'
    fi
    sleep 60
done
